Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations.reflection
Class EJB3ReflectionManager

    java.lang.Object
      org.hibernate.annotations.common.reflection.java.JavaReflectionManager
          org.hibernate.cfg.annotations.reflection.EJB3ReflectionManager

All Implemented Interfaces:
  org.hibernate.annotations.common.reflection.ReflectionManager

    public class EJB3ReflectionManager

extends org.hibernate.annotations.common.reflection.java.JavaReflectionManager

Constructor Summary
`EJB3ReflectionManager()`

Method Summary
`org.hibernate.annotations.common.reflection.AnnotationReader` | `buildAnnotationReader(AnnotatedElement annotatedElement)`
`Map` | `getDefaults()`
`XMLContext` | `getXMLContext()`

Methods inherited from class org.hibernate.annotations.common.reflection.java.JavaReflectionManager
`classForName, equals, packageForName, toApproximatingEnvironment, toClass, toMethod, toXClass, toXType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3ReflectionManager

    public EJB3ReflectionManager()

Method Detail

### buildAnnotationReader

    public org.hibernate.annotations.common.reflection.AnnotationReader buildAnnotationReader(AnnotatedElement annotatedElement)

  Specified by:
    `buildAnnotationReader` in interface `org.hibernate.annotations.common.reflection.ReflectionManager`
  Overrides:
    `buildAnnotationReader` in class `org.hibernate.annotations.common.reflection.java.JavaReflectionManager`

### getDefaults

    public Map getDefaults()

  Specified by:
    `getDefaults` in interface `org.hibernate.annotations.common.reflection.ReflectionManager`
  Overrides:
    `getDefaults` in class `org.hibernate.annotations.common.reflection.java.JavaReflectionManager`

### getXMLContext

    public XMLContext getXMLContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD